[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: NVIDIA_kernel-1.0.3123 install fails

Aaaahhhh I'm kind of a newbie, I tried make-kpkg, got the response command not found. should it be apt-make-kpkg? Also I'm using the bf24 kernel on a pentium III 500mHz desktop system. When I did apt-cache search kernel-headers I got a list of headers kernel-header.2.4.16 and kernel-header.2.4.18. for all the different flavors of debian. Should I download the src file for whichever kernel-header file I download?

Cam Ellison wrote:

* Chris McCormick (chris@perthweb.com.au) wrote:
At 01:22 10/10/2002 -0400, you wrote:
My apologies if I'm rehashing a previously discussed issue.

I just tried to upgrade my nvidia TNT2 drivers using nvidia_glx-1.0.3123 and nividia_kernel-1.0.3123. Make install went fine for nvidia_glx but when I tried to make install nividia_kernel I received the following message:
In file included from nv.c:14:
nv.linux.h:24: linux/modversions.h: No such file or directory.
make ***[nv.o] error 1.

Is modversions.h a file that's somewhere in the Debian distribution? I just searched the package list and I didn't find anything. Any help will be appreciated.
You need to have the kernel headers for your kernel installed.

apt-cache search kernel-headers

then install the same one as you are running.



Better still, use make-kpkg.  That will take care of the headers, and
in fact will work better if you have customized your kernel.


Reply to: